<?php
/**
 * TemplateMela
 * @copyright  Copyright (c) TemplateMela. (http://www.templatemela.com)
 * @license    http://www.templatemela.com/license/
 * @author         TemplateMela
 * @version        Release: 1.0
 */

/**  Set Default options : Theme Settings  */
function tmpmela_set_default_options_child()
{
	/*  General Settings  */
	add_option("tmpmela_logo_image", get_stylesheet_directory_uri()."/images/megnor/logo.png"); // set logo image
	add_option("tmpmela_logo_image_alt",'ecode_layout2'); // set logo image alt
	add_option("tmpmela_mob_logo_image", get_stylesheet_directory_uri()."/images/megnor/mob-logo.png"); // set Mobile logo image	
	add_option("tmpmela_mob_logo_image_alt",'ecode_layout2'); // set logo image alt	
	add_option("tmpmela_button_color","F3A847"); // button color
	add_option("tmpmela_button_border_color","F3A847"); // button border color
	add_option("tmpmela_button_hover_color","232F3E"); // button hover color
	add_option("tmpmela_button_hover_border_color","232F3E"); // button hover border color
	add_option("tmpmela_revslider_alias",'tmpmela_homeslider_layout2');
	
	/*  Sidebar Text Color Settings  */	
	add_option("tmpmela_sidebar_text_hover_color","F3A847"); // Sidebar Text Link Hover Color

	/*  Top Bar Settings  */	
	add_option("tmpmela_topbar_bkg_color","232F3E"); // Topbar background  Color
	add_option("tmpmela_topbar_text_color","FFFFFF"); // Topbar text Color
	
	/*  Header Settings  */	
	add_option("tmpmela_header_bkg_color","232F3E"); // header background color	
		
	/*  Navigation Menu Settings  */	
	add_option("tmpmela_header_bottom_bg_color","F3A847"); // header bottom background color
	add_option("tmpmela_top_menu_text_color","FFFFFF"); // header text color	
	add_option("tmpmela_top_menu_texthover_color","F3A847"); // header text hover color	
	add_option("tmpmela_category_bkg_color","FFFFFF"); // category text background color

	
	/*  Mobile Menu Setting  */
	add_option("tmpmela_mobile_menu_texthover_color","F3A847"); // Mobile Menu text hover color
	
	/*  Content Settings  */
	add_option("tmpmela_hoverlink_color","F3A847"); // link hover color
	
	/*  Footer Settings  */	
	add_option("tmpmela_top_footerhoverlink_color","F3A847"); // footer Top link hover text color
	add_option("tmpmela_bottom_footerhoverlink_color","F3A847"); // footer Bottom link hover text color
		
}
add_action('init', 'tmpmela_set_default_options_child');

function tmpmela_child_scripts() {
    wp_enqueue_style( 'bigmall-child-style', get_template_directory_uri(). '/style.css' );		
}
add_action( 'wp_enqueue_scripts', 'tmpmela_child_scripts' );
?>