<?php
/**
 * TemplateMela
 * @copyright  Copyright (c) TemplateMela. (http://www.templatemela.com)
 * @license    http://www.templatemela.com/license/
 * @author         TemplateMela
 * @version        Release: 1.0
 */

/**  Set Default options : Theme Settings  */
function tmpmela_set_default_options_child()
{
	/*  General Settings  */
	add_option("tmpmela_logo_image", get_stylesheet_directory_uri()."/images/megnor/logo.png"); // set logo image
	add_option("tmpmela_logo_image_alt",'ecode_layout4'); // set logo image alt
	add_option("tmpmela_mob_logo_image", get_stylesheet_directory_uri()."/images/megnor/mob-logo.png"); // set Mobile logo image	
	add_option("tmpmela_mob_logo_image_alt",'ecode_layout4'); // set logo image alt	
	add_option("tmpmela_button_color","C46103"); // button color
	add_option("tmpmela_button_border_color","C46103"); // button border color
	add_option("tmpmela_button_hover_color","ACC643"); // button hover color
	add_option("tmpmela_button_hover_border_color","ACC643"); // button hover border color
	add_option("tmpmela_revslider_alias",'tmpmela_homeslider_layout4');
	
	/*  Sidebar Text Color Settings  */	
	add_option("tmpmela_sidebar_text_hover_color","ACC643"); // Sidebar Text Link Hover Color

	/*  Top Bar Settings  */	
	add_option("tmpmela_topbar_bkg_color","232426"); // Topbar background  Color
	add_option("tmpmela_topbar_text_color","FFFFFF"); // Topbar text Color
	
	/*  Header Settings  */	
	add_option("tmpmela_header_bkg_color","232426"); // header background color	
		
	
	
	
	/*  Navigation Menu Settings  */	
	add_option("tmpmela_header_bottom_bg_color","ACC643"); // header bottom background color
	add_option("tmpmela_top_menu_text_color","FFFFFF"); // header text color	
	add_option("tmpmela_top_menu_texthover_color","ACC643"); // header text hover color	
	add_option("tmpmela_category_bkg_color","C46103"); // category text background color

	
	/*  Mobile Menu Setting  */
	add_option("tmpmela_mobile_menu_texthover_color","ACC643"); // Mobile Menu text hover color
	
	/*  Content Settings  */
	add_option("tmpmela_hoverlink_color","ACC643"); // link hover color
	
	/*  Footer Settings  */	
	
	add_option("tmpmela_footer_top_bkg_color","232426"); // footer Top lbackground color
	add_option("tmpmela_top_footerhoverlink_color","ACC643"); // footer Top link hover text color
	add_option("tmpmela_bottom_footerhoverlink_color","ACC643"); // footer Bottom link hover text color
		
}
add_action('init', 'tmpmela_set_default_options_child');

function tmpmela_child_scripts() {
    wp_enqueue_style( 'ecode-child-style', get_template_directory_uri(). '/style.css' );			
}
add_action( 'wp_enqueue_scripts', 'tmpmela_child_scripts' );

function tmpmela_load_scripts_child() {	
wp_enqueue_script( 'tmpmela-custom', get_stylesheet_directory_uri() . '/js/megnor/custom.js', array(), '', true);	  	
 }
add_action( 'wp_enqueue_scripts', 'tmpmela_load_scripts_child' );
?>